Bug 1664447 - [RHEL 7.7] Document SSSD AD SUDO provider
Summary: [RHEL 7.7] Document SSSD AD SUDO provider
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Level_Authentication_Guide
Version: 7.7
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Marc Muehlfeld
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 20:27 UTC by Martin Kosek
Modified: 2019-05-28 09:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.SSSD now fully supports *sudo* rules stored in AD The System Security Services Daemon (SSSD) now fully supports *sudo* rules stored in Active Directory (AD). This feature was first introduced in Red Hat Enterprise Linux 7.0 as a Technology Preview. Note that the administrator must update the AD schema to support *sudo* rules.
Clone Of:
Environment:
Last Closed: 2019-04-09 10:31:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Kosek 2019-01-08 20:27:02 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/system-level_authentication_guide/configuring_services#sssd-ldap-sudo

Section Number and Name: 7.5.4. Configuring Services: sudo

Describe the issue: AD SUDO provider was introduced in 7.0 as TechPreview:
https://bugzilla.redhat.com/show_bug.cgi?id=1068725
However, it has proven itself over time, it can be fully supported/documented. We may just need to warn user that as we do not control the server side (Active Directory), they are in charge of installing the SUDO LDAP scheme and filling it with the proper data that SSSD needs.

Comment 5 Marc Muehlfeld 2019-03-20 08:07:50 UTC
Jakub, can you please review the updated section:
http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-System-Level_Authentication_Guide-branch-mmuehlfe_166447/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#sssd-ldap-sudo

Additionally, please review the release note (see Doc Text field) for RHEL 7.7.

Comment 6 Jakub Hrozek 2019-03-20 08:39:42 UTC
(In reply to Marc Muehlfeld from comment #5)
> Jakub, can you please review the updated section:
> http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-
> Red_Hat_Enterprise_Linux-7-System-Level_Authentication_Guide-branch-
> mmuehlfe_166447/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.
> html#sssd-ldap-sudo
> 
> Additionally, please review the release note (see Doc Text field) for RHEL
> 7.7.

Looks good to me.

Comment 8 Marc Muehlfeld 2019-04-09 10:31:30 UTC
The update is now available on the Customer Portal.


Note You need to log in before you can comment on or make changes to this bug.